# Makefile for cdcc, dccproc, and someday dccifd for WIN32

#   This assumes Borland's free command line tools FreeCommandLineTools.exe 
#   available in 2004 at
#	http://www.borland.com/products/downloads/download_cbuilder.html
#   and elsewhere

# Copyright (c) 2004 by Rhyolite Software

# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.

# THE SOFTWARE IS PROVIDED "AS IS" AND RHYOLITE SOFTWARE DISCLAIMS ALL
# WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL RHYOLITE SOFTWARE
# BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
# ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
# SOFTWARE.

# Rhyolite Software DCC 1.2.36-1.3 $Revision$

!include win32.makinc

SUBDIRS= dcclib cdcc dccproc

all:	$(SUBDIRS)

$(SUBDIRS):
	cd $@
	make -f win32.mak
	cd ..

# kludge to make $& work
SMAKE	=make -f win32.mak $&
SUBCMD	=cd $(SUBDIRS: =; $(SMAKE); cd ../); $(SMAKE); cd ..

clean clobber:
	del $(DIRT)
	command <<!
	$(SUBCMD:;= ^
)
!

.precious: $(SUBDIRS)
